<div class="header-image">
    <div class="header-block">
        <div class="header-text">
            <div class="header-text-title">Products</div>
            <p>
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Cras nec mollis sem. Etiam id luctus libero.
                Vivamus vulputate urna eget velit iaculis, et interdum elit pellentesque. Duis porta nunc neque, nec volutpat erat lacinia a.
            </p>
        </div>
    </div>
</div>
<div class="layout-container">
    <div *ngIf="products" class="product-grid">
        <div class="col-md-4 col-sm-6" *ngFor="let product of products;let i = index" >
            <div class="image-container">
                <div class="product-image" [ngStyle]="{'background-image': 'url(./assets/imgs/hand-painted-blue-flat-dish.jpg)'}"></div>
                <div class="overlay">
                    <div class="button button-primary" [routerLink]="['/client',i+1]">View Details</div>
                    <div class="button button-primary" (click)="addToCart(product)">Add To Cart</div>
                </div>
            </div>
            <div class="product-details">
                <div *ngIf="product.category" class="product-brand">{{product.category.desig}}</div>
                <div class="product-title">{{product.designation}}</div>
                <div class="product-price">{{product.prix | currency :'USD':true }}</div>
            </div>
        </div>
    </div>
</div>
